Summary: The Lout document formatting language.
Name: lout
Version: 3.17
Release: 2
Group: Applications/Publishing
Source: ftp://ftp.cs.su.oz.au/jeff/lout/lout-%{version}.tar.gz
Patch0: lout-3.17-make.patch
Patch1: lout-3.17-nobr.patch
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root

%description
Lout is a high-level language for document formatting.  Lout reads a
high-level description of a document (similar in style to LaTeX) and
can produce a PostScript(TM) file for printing or produce plain text.
Lout supports the typesetting of documents which contain floating
figures, table, diagrams, rotated and scaled text or graphics,
footnotes, running headers, footers, an index, a table of contents and
bibliography, cross-references, mathematical equations and statistical
graphs.  Lout can be extended with definitions that should be easier
to write than other languages, since Lout is a high-level language.
Lout supports (with hyphenation) a variety of languages: Czech,
Danish, Dutch, English, Finnish, French, German, Norwegian, Russian,
Slovenian, Spanish and Swedish.

Install the lout package if you'd like to try the Lout document
formatting system.  Unless you're already a Lout expert, you'll
probably want to also install the lout-doc package, which contains the
documentation for Lout.

%package doc
Summary: The documentation for the Lout document formatting language.
Group: Applications/Publishing

%description doc
The lout-doc package includes all of the documentation for the Lout
document formatting language.  The documentation includes manuals for
regular users and for experts, written in Lout and available as
PostScript(TM) files.  The documentation provides good examples for
how to write large documents with Lout.

If you're installing the lout package, you should install the lout-doc
package.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .nobr

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" lout c2lout

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,doc,lib,man/man1}

make DESTDIR=$RPM_BUILD_ROOT install installman installdoc

for i in user slides expert design; do
    chmod 755 $RPM_BUILD_ROOT/usr/doc/lout/$i
done
strip $RPM_BUILD_ROOT/usr/bin/{lout,c2lout}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README READMEPDF blurb maillist notes.dsc whatsnew
/usr/bin/lout
/usr/bin/c2lout
/usr/man/man1/*
/usr/lib/lout

%files doc
%defattr(-,root,root)
/usr/doc/lout

%changelog
* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Thu Jan 13 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.17.
- enable PDF compression.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- no more gcc on sparc, so don't optimize instead (same egcs bug?)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root
- use gcc on sparc to avoid egcs bug

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
